### Method

# Adw Flapset_transition_type

deprecated: 1.4

#### Declaration [src]

    void
    adw_flap_set_transition_type (
      AdwFlap* self,
      AdwFlapTransitionType transition_type
    )

#### Description [src]

Sets the type of animation used for reveal and fold transitions in `self`.

`AdwFlap:flap` is transparent by default, which means the content will be seen through it with `ADW_FLAP_TRANSITION_TYPE_OVER` transitions; add the `.background` style class to it if this is unwanted.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Flap:transition-type`

#### Parameters

`transition_type`

  Type: `AdwFlapTransitionType`

  The new transition type.